# Tickets

Return status information about tickets or the server itself. For operations
that cannot complete immediately, the system returns a `ticketId`. You can look
up this `ticketId` to determine the true status of the operation.


## Check system status {#getsystemstatus}

Ensure that you can make a connection to the Wallet API.

[Jump to examples ↓](#getsystemstatus-examples)

### `GET /system/status`

**Security:**

- [httpBasic]({{< ref "/developer/rest-api/wallet/introduction/" >}}#security-httpBasic)

**Responses**

**`200`** You have successfully established a connection with the server.

Response body:

**Content-Type:** `application/json`

- **`Hello`** `string`

  A "Hello World" response tells you that everything is Ok.

  Possible values: `World`

**Examples**

*Example request*

```http
GET /v1/system/status HTTP/1.1

```

*Response*

```http
HTTP/1.1 200 OK
Content-Type: application/json

{
    "Hello": "World"
}

```

---

## Get ticket status {#getticketstatus}

Get the status of a ticket. Some operations can't complete immediately and return a `ticketId`. Use this item to determine the true status of the operation.

[Jump to examples ↓](#getticketstatus-examples)

### `GET /ticket/{ticketId}`

**Security:**

- [httpBasic]({{< ref "/developer/rest-api/wallet/introduction/" >}}#security-httpBasic)

**Path parameters:**

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `ticketId` | `string` | Required | The ticket you want to know the status of. |

**Responses**

**`200`** Returns the status of a ticket.

Response body:

**Content-Type:** `application/json`

- **`ID`** `integer`

  The identifier of the ticket.

- **`children`** `object`
- **`createdAt`** `string`

  The date and time when the item was created.

  Format: `date-time`

  Read only: true

- **`status`** `string`

  The status of the ticket.

**Examples**

*Example request*

```http
GET /v1/ticket/123 HTTP/1.1
Authorization: Basic <Base64 key>

```

*Response*

```http
HTTP/1.1 200 OK
Content-Type: application/json

{
   "Status": "COMPLETED",
   "createdAt": "2013-03-28 18:18:36.0",
   "ID": 123,
   "children": {
      "...": "..."
   }
}

```

---

